Subject: Re: TCP and Link Layer Retransmissions

From: Phil Karn <[email-masked]>
Date: Wed, 28 Feb 2001 23:06:36 -0800

>link layer error recovery are numerous but many of those are derived from 
>HDLC [???], the "mother" of all link layer protocols. Error recovery at the 

HDLC variants appear under many names, but the basic frame definition
(flags, bit stuffing and CRC) is in ISO 3309. The classic connected
mode HDLC ARQ protocol is in ISO 4335 (half duplex mode), ISO 6159
(unbalanced mode) and ISO 6256 (balanced mode -- the link layer in
X.25).  There are zillions of versions and options.

>link layer is often referred to as Automatic Repeat reQuest (ARQ), and we 
>therefore use the abbreviation LL ARQ in some cases.

ARQ is not necessarily limited to the link layer. TCP is an ARQ protocol.

I'm digesting the rest of your text and will work it into the current
revision of the LINK document. So far the rest of it looks pretty good.

Phil